<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.IntChannelsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.finance.entity.IntChannels">
        <id column="CHANNELID" property="channelid" />
        <result column="CHANNELNAME" property="channelname" />
        <result column="COMPANY" property="company" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CHANNELID, CHANNELNAME, COMPANY
    </sql>

    <update id="editFlagRender">
        UPDATE INT_ONDATERANGE_ACCOUNT
        SET FLAG_RENDER = #{isFlag}, RENDER_USER = #{userId},RENDER_TIME = sysdate
        WHERE SID = #{sid}
    </update>

</mapper>
